NETSTAT(1)

NAME
netstat - show network status

SYNOPSIS
netstat [ -Aan ] [ -a ] [ system ] [ core ]
netstat [ -imnrs ] [ interval ] [ system ] [ core ]

DESCRIPTION
The netstat command symbolically displays the contents of various network-related data structures. There are a number of output formats, depending on the options for the information presented. The first form of the command displays a list of active sockets for each protocol. The second form presents the contents of one of the other network data structures according to the option selected. Using the second form, with an interval specified, netstat will continuously display the information regarding packet traffic on the configured network interfaces.

The options have the following meaning:

-A  show the address of any associated protocol control blocks; used for debugging.

-a  show the state of all sockets; normally sockets used by server processes are not shown.

-i  show the state of interfaces which have been auto-configured (interfaces statically configured into a system, but not located at boot time are not shown).

-m  show statistics recorded by the memory management routines (the network manages a ``private share'' of memory).

-n  show network addresses as numbers (normally netstat interprets addresses and attempts to display them symbolically).

-s  show per-protocol statistics

-r  show the routing tables When -s is also present, show routing statistics instead.

The arguments, system and core allow substitutes for the defaults ``/dynix'' and ``/dev/kmem''.

If an interval is specified, netstat will continuously display the information regarding packet traffic on the configured network interfaces, pausing interval seconds before refreshing the screen.

There are a number of display formats, depending on the information presented. The default display, for active sockets, shows the local and remote addresses, send and receive queue sizes (in bytes), protocol, and the internal state of the protocol.

Address formats are of the form ``host.port'' or ``network.port'' if a socket's address specifies a network but no specific host address. When known the host and network addresses are displayed symbolically according to the data bases /etc/hosts and /etc/networks, respectively. If a symbolic name for an address is unknown, or if the -n option is specified, the address is printed in the Internet ``dot format''; refer to inet(3N) for more information regarding this format. Unspecified, or ``wildcard'', addresses and ports appear as ``*''.

The interface display provides a table of cumulative statistics regarding packets transferred, errors, and collisions. The network address (currently Internet specific) of the interface and the maximum transmission unit (``mtu'') are also displayed.

The routing table display indicates the available routes and their status. Each route consists of a destination host or network and a gateway to use in forwarding packets. The flags field shows the state of the route (``U'' if ``up''), whether the route is to a gateway (``G''), and whether the route was created dynamically by a redirect (``D''). Direct routes are created for each interface attached to the local host. The refcnt field gives the current number of active uses of the route. Connection oriented protocols normally hold on to a single route for the duration of a connection while connectionless protocols obtain a route then discard it. The use field provides a count of the number of packets sent using that route. The interface entry indicates the network interface utilized for the route.

When netstat is invoked with an interval argument, it displays a running count of statistics related to network interfaces. This display consists of a column summarizing information for all interfaces, and a column for the interface with the most traffic since the system was last rebooted. The first line of each screen of information contains a summary since the system was last rebooted. Subsequent lines of output show values accumulated over the preceding interval.

SEE ALSO
iostat(1), vmstat(1), hosts(5), networks(5), protocols(5), services(5), trpt(8C)

BUGS
The 4.2BSD option for printing the IMP host table (-h) is not supported.